> ## Documentation Index
> Fetch the complete documentation index at: https://mcp.theoryofevolution.com.au/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Hotelbeds Destination



## OpenAPI

````yaml /openapi/accomsoa-api.openapi.json post /accommodationapi/v1/getHotelbedsDestinations
openapi: 3.0.0
info:
  description: AccomSOA API for accommodation, activity, and EBS-related booking workflows.
  version: 1.0.0
  title: AccomSOA API
  contact:
    name: Adventium Tech Support
    url: https://www.adventium.tech
    email: tech-support@adventium.tech
servers:
  - url: //accomsoatest.websitetravel.com
security: []
tags:
  - name: accommodation-controller
    description: Accommodation Controller
  - name: activity-controller
    description: Activity Controller
  - name: basic-error-controller
    description: Basic Error Controller
  - name: ebs-controller
    description: EBS Controller
  - name: index-controller
    description: Index Controller
paths:
  /accommodationapi/v1/getHotelbedsDestinations:
    post:
      tags:
        - accommodation-controller
      summary: Get Hotelbeds Destination
      operationId: getHotelbedsDestinationsUsingPOST
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RequestData_string_'
        description: rq
        required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseData_DestinationsRS_'
        '201':
          description: Created
        '400':
          description: Failed
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
      deprecated: false
components:
  schemas:
    RequestData_string_:
      type: object
      properties:
        agentID:
          type: string
        data:
          type: string
        site:
          type: string
      title: RequestData«string»
    ResponseData_DestinationsRS_:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/DestinationsRS'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ResponseExtraInformation'
        status:
          type: integer
          format: int32
        warnings:
          type: array
          items:
            $ref: '#/components/schemas/ResponseExtraInformation'
      title: ResponseData«DestinationsRS»
    DestinationsRS:
      type: object
      properties:
        auditData:
          $ref: '#/components/schemas/AuditData'
        destinations:
          $ref: '#/components/schemas/Destinations'
        from:
          type: integer
          xml:
            name: from
            attribute: false
            wrapped: false
        to:
          type: integer
          xml:
            name: to
            attribute: false
            wrapped: false
        total:
          type: integer
          xml:
            name: total
            attribute: false
            wrapped: false
      title: DestinationsRS
      xml:
        name: destinationsRS
        attribute: false
        wrapped: false
    ResponseExtraInformation:
      type: object
      properties:
        code:
          type: string
        text:
          type: string
      title: ResponseExtraInformation
    AuditData:
      type: object
      properties:
        environment:
          type: string
          xml:
            name: environment
            attribute: false
            wrapped: false
        processTime:
          type: string
          xml:
            name: processTime
            attribute: false
            wrapped: false
        release:
          type: string
          xml:
            name: release
            attribute: false
            wrapped: false
        requestHost:
          type: string
          xml:
            name: requestHost
            attribute: false
            wrapped: false
        serverId:
          type: string
          xml:
            name: serverId
            attribute: false
            wrapped: false
        timestamp:
          type: string
          xml:
            name: timestamp
            attribute: false
            wrapped: false
      title: AuditData
    Destinations:
      type: object
      properties:
        destination:
          type: array
          items:
            $ref: '#/components/schemas/Destination'
      title: Destinations
      xml:
        name: destinations
        attribute: false
        wrapped: false
    Destination:
      type: object
      properties:
        code:
          type: string
        countryCode:
          type: string
          xml:
            name: countryCode
            attribute: true
            wrapped: false
        groupZones:
          $ref: '#/components/schemas/GroupZones'
        isoCode:
          type: string
          xml:
            name: isoCode
            attribute: true
            wrapped: false
        name:
          type: string
          xml:
            name: name
            attribute: false
            wrapped: false
        zone:
          type: string
        zones:
          $ref: '#/components/schemas/Zones'
      title: Destination
    GroupZones:
      type: object
      properties:
        zone:
          type: array
          items:
            $ref: '#/components/schemas/Zone'
      title: GroupZones
      xml:
        name: groupZones
        attribute: false
        wrapped: false
    Zones:
      type: object
      properties:
        zone:
          type: array
          items:
            $ref: '#/components/schemas/Zone'
      title: Zones
      xml:
        name: zones
        attribute: false
        wrapped: false
    Zone:
      type: object
      properties:
        name:
          type: string
          xml:
            name: name
            attribute: true
            wrapped: false
        zoneCode:
          type: string
          xml:
            name: zoneCode
            attribute: true
            wrapped: false
      title: Zone
      xml:
        name: zone
        attribute: false
        wrapped: false

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.